"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AspectRatioImage = AspectRatioImage;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function AspectRatioImage(props) {
  const {
    source,
    ...otherProps
  } = props;
  const [ratio, setRatio] = (0, _react.useState)(null);
  const [originalImageDimensions, setOriginalImageDimensions] = (0, _react.useState)(null);
  const [newImageWidth, setNewImageWidth] = (0, _react.useState)(null);
  const initImageDimensions = () => {
    const isLocalImage = typeof source === 'number';
    const uri = isLocalImage ? _reactNative.Image.resolveAssetSource(source) : source === null || source === void 0 ? void 0 : source.uri;
    _reactNative.Image.getSize(uri, (width, height) => {
      setRatio(newImageWidth / width);
      setOriginalImageDimensions({
        width,
        height
      });
    });
  };
  (0, _react.useEffect)(() => {
    const sourceValid = typeof source === 'number' || (source === null || source === void 0 ? void 0 : source.uri);
    if (!newImageWidth || !sourceValid) {
      return;
    }
    initImageDimensions();
  }, [source, newImageWidth]);
  const getImage = () => {
    if (!newImageWidth || !ratio || !originalImageDimensions) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement(_reactNative.Image, _extends({
      source: source
    }, otherProps, {
      style: {
        width: newImageWidth,
        height: originalImageDimensions.height * ratio,
        ...otherProps.style
      }
    }));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%'
    },
    onLayout: event => {
      if (!newImageWidth) {
        setNewImageWidth(event.nativeEvent.layout.width);
      }
    }
  }, getImage());
}
//# sourceMappingURL=index.js.map