function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useEffect, useState } from 'react';
import { Image, View } from 'react-native';
export function AspectRatioImage(props) {
  const {
    source,
    ...otherProps
  } = props;
  const [ratio, setRatio] = useState(null);
  const [originalImageDimensions, setOriginalImageDimensions] = useState(null);
  const [newImageWidth, setNewImageWidth] = useState(null);
  const initImageDimensions = () => {
    const isLocalImage = typeof source === 'number';
    const uri = isLocalImage ? Image.resolveAssetSource(source) : source === null || source === void 0 ? void 0 : source.uri;
    Image.getSize(uri, (width, height) => {
      setRatio(newImageWidth / width);
      setOriginalImageDimensions({
        width,
        height
      });
    });
  };
  useEffect(() => {
    const sourceValid = typeof source === 'number' || (source === null || source === void 0 ? void 0 : source.uri);
    if (!newImageWidth || !sourceValid) {
      return;
    }
    initImageDimensions();
  }, [source, newImageWidth]);
  const getImage = () => {
    if (!newImageWidth || !ratio || !originalImageDimensions) {
      return null;
    }
    return /*#__PURE__*/React.createElement(Image, _extends({
      source: source
    }, otherProps, {
      style: {
        width: newImageWidth,
        height: originalImageDimensions.height * ratio,
        ...otherProps.style
      }
    }));
  };
  return /*#__PURE__*/React.createElement(View, {
    style: {
      width: '100%'
    },
    onLayout: event => {
      if (!newImageWidth) {
        setNewImageWidth(event.nativeEvent.layout.width);
      }
    }
  }, getImage());
}
//# sourceMappingURL=index.js.map